'-----------------------------------------------------------------
' Simple police light LED flasher using ATtiny45
'
' (c) 2012 by KF5OBS
' KF5OBS@gmail.com
'
' Connect LED1 to PortB.3 (Pin 2)
' connect LED2 to PortB.4 (Pin 3)

'-----------------------------------------------------------------

' Atmel ATtiny45
$regfile = "attiny45.dat"

' Fuse-bits 8 MHz int. div. by 8
$prog &HFF , &H42 , &HDF , &HFF

' 1 MHz internal clock
$crystal = 1000000

' PortB is Output
Config Portb = Output

' Start flashing
Do

   Portb.3 = 1
   Waitms 150
   Portb.3 = 0
   Waitms 100
   Portb.3 = 1
   Waitms 150
   Portb.3 = 0
   Waitms 150

   Portb.4 = 1
   Waitms 150
   Portb.4 = 0
   Waitms 100
   Portb.4 = 1
   Waitms 150
   Portb.4 = 0
   Waitms 150

Loop